jQuery(document).ready(function(){
	
	if ($("#searchEntidad").attr("checked")=="checked"){
		$("#sendMailDivCheckEnvioContactos").show();
	} else if ($("#searchContact").attr("checked")=="checked"){
		$("#sendMailDivCheckEnvioContactos").hide();
	}
	
	
	$("#search_mail").rup_feedback({
		type:"ok",
		delay:800,
		gotoTop : false,
		block : false,
		closeLink : true
	});
	$("#y42bSendMailTablaAdjuntosFeedback").rup_feedback({
		type:"ok",
		delay:800,
		gotoTop : false,
		block : false,
		closeLink : true
	});
	
	$("#y42bSendMailTablaAdjuntosBorrableFeedback").rup_feedback({
		type:"ok",
		delay:800,
		gotoTop : false,
		block : false,
		closeLink : true
	});
	
	var staticsUrl = $("#idStaticsPath").val();
	//FIXME Migracion UDA V.2.4.4 (201504) - Falla todo al descomentar Tiny
	$('#sendMailText').tinymce({
		// Location of TinyMCE script
		//script_url_local : '/y42bStatics/y42b/scripts/tiny_mce/tiny_mce.js',		
		script_url : staticsUrl+'/y42b/scripts/tiny_mce/tiny_mce.js',
		forced_root_block : "",
		entity_encoding: 'named',
	    entities: '160,nbsp',
	    relative_urls : false,
	    convert_urls: false,
	    

	    // General options
		theme : "advanced",
		plugins : "pagebreak,style,save,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,advlist",

		// Theme options
		theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,formatselect,fontselect,fontsizeselect",
		theme_advanced_buttons2 : "pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,image,|,forecolor,backcolor",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		theme_advanced_statusbar_location : "none", //This can be top, bottom or none
		theme_advanced_resizing : true,
		theme_advanced_path : false,
		
		// Example content CSS (should be your site CSS)
		//content_css_local : "/y42bStatics/y42b/scripts/tiny_mce/css/content.css",
		//content_css : staticsUrl+"/y42b/scripts/tiny_mce/css/content.css",

		// Replace values for the template plugin
		template_replace_values : {
			username : "Some User",
			staffid : "991234"
		},
		readonly:false
	
	});
	$('#sendMailTextConsulta').tinymce({
		// Location of TinyMCE script
		//script_url_local : '/y42bStatics/y42b/scripts/tiny_mce/tiny_mce.js',		
		script_url : staticsUrl+'/y42b/scripts/tiny_mce/tiny_mce.js',
		
		forced_root_block : "",
		entity_encoding: 'named',
	    entities: '160,nbsp',
	    relative_urls : false,
	    convert_urls: false,
	    
	    
	    
	    
	    // General options
		theme : "advanced",
		plugins : "pagebreak,style,save,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,advlist",

		// Theme options
		theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,formatselect,fontselect,fontsizeselect",
		theme_advanced_buttons2 : "pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,image,|,forecolor,backcolor",
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		
	    theme_advanced_statusbar_location : "none", //This can be top, bottom or none
	    theme_advanced_path : false, //Set to false to stop path from showing in status bar
	    theme_advanced_resizing : true, //False will stop the draggable resize icon from showing in the status bar, as well as disabling resizing


		
		// Example content CSS (should be your site CSS)
		//content_css_local : "/y42bStatics/y42b/scripts/tiny_mce/css/content.css",
		//content_css : staticsUrl+"/y42b/scripts/tiny_mce/css/content.css",

		// Replace values for the template plugin
		template_replace_values : {
			username : "Some User",
			staffid : "991234"
		},
		readonly:true
	
	});
	
	loadInit();
	
	$("#sendMailText").val("");

	$("#sendMailStaticRadio").click(function(){
		$("#sendMailDynamicOptions").hide();
	});
	
	$("#sendMailDynamicRadio").click(function(){
		$("#sendMailDynamicOptions").show();
	});
	
	$("#sendMailAddButton").click(function(){
		addComboValue();
	});
	
	$("#sendMailSendButton").click(function(){
		
		if (y42bSendMail_ValidarCamposEmail()){
			sendMail();		
		}
		
//		if ($("#senMailDestinatarioInforme").val()!="" || $("#sendMailDireccionOrigen").val()!="") {
//			var validaDestinatario = y42bValidaDestinatarioInforme();
//			var validarDireccionOrigen = y42bValidaDireccionOrigen();
//				
//			
//			if (validaDestinatario && validarDireccionOrigen) {
//				sendMail();			
//			}
//		} else {
//			sendMail();			
//		}
	});
	
	y42bPintarTablaAdjuntos(y42bVarEnvioId);
	y42bPintarTablaAdjuntosBorrable(y42bVarEnvioId);
	
	$('#fileupload_only').rup_upload({
		fileInput: $("#file_only"),
		maxFileSize: 5000000
	});
	
	$("#buttonEliminarTodos").click(function(){
		eliminarTodos();
	});
	
	//si venimos de la pantalla de envio hay que ocultar cosas y traer otras etc...
	if (y42bVarDeEnvio) {
		//asunto, recuperarlo de la fila y mostrarlo
		var filaTablaEnvios = $("#y42SeguimientoSearchResultGrid").rup_grid("getRowData",$("#y42SeguimientoSearchResultGrid").rup_grid("getSelectedRows")[0]);
		if(null!=filaTablaEnvios.mailingAsunto) {
			$("#senMailSubject").val(filaTablaEnvios.mailingAsunto);
		}
		//hacerlo no seleccionable
		$("#senMailSubject").attr("readonly", "readonly");
		//hacerlo no seleccionable
		$("#senMailDestinatarioInforme").attr("readonly", "readonly");
		//ocultar radios
		$("#y42bSendMailRadiosDiv").hide();
		//ocultar ficheros
		$("#fileupload_only").hide();
		//ocultar boton envio
		$("#sendMailSendButton").hide();
		//mostrar nuevo boton 
		$("#sendMailModifyButton").show();
		$("#divTextAreaTiny").hide();
		$("#divTextAreaTinyConsulta").show();
	}	
	
	if (y42bVarDeEnvio) {
		$("#buttonEliminarTodos").hide();
		$("#tablaAdjuntosDiv").show();
		$("#tablaAdjuntosBorrableDiv").hide();
	} else {
		$("#buttonEliminarTodos").show();
		$("#tablaAdjuntosDiv").hide();
		$("#tablaAdjuntosBorrableDiv").hide();
	}
});

function Combo (label, value) {
	this.i18nCaption=label.toUpperCase();
	this.value=value.toUpperCase();	
}

var currentEnvio = null;

function loadInit(){
	var envioId = y42bVarEnvioId;
	$.ajax({
		type : 'GET',
		url : "/y42bVistaWar/envio/"+envioId,
		dataType : "json",
		contentType : 'application/json',
		error : function(jqXHR, textStatus, errorThrown) {
			$("#search_mail").rup_feedback("option", "delay", null);
			$("#search_mail").rup_feedback("set", textStatus + ": error", "error");
		},
		success : function(data, textStatus, jqXHR) {
			currentEnvio = data;
			
			if (data.envioKontsumonet!=null){
				if (data.envioKontsumonet=="S"){
					$("#y42bSendMailKontsumonet").attr('checked', true);
				}else{
					$("#y42bSendMailKontsumonet").attr('checked', false);
				}
			}else{
				y42bSendMail_comprobarEnvioKontsumonet();
			}
			
			if (data.envioAContactos!=null){
				if (data.envioAContactos=="S"){
					$("#sendMailDivCheckEnvioContactos").attr('checked', true);
				}else if (data.envioAContactos=="N"){
					$("#sendMailDivCheckEnvioContactos").attr('checked', false);
				}
			}else{
				$("#sendMailDivCheckEnvioContactos").attr('checked', false);
			}
			
			if(data.tipo=="E") {
				$("#sendMailDivCheckEnvioContactos").show();
				$("#sendMailDivCheckAcuse").show();
			}else 	if(data.tipo=="C") {
				$("#sendMailDivCheckEnvioContactos").hide();
				$("#sendMailDivCheckAcuse").hide();
			}
			
			
			
			if (data.acuse=="S"){
				$("#y42bSendMailAcuse").attr('checked', true);
			}else{
				$("#y42bSendMailAcuse").attr('checked', false);
			}
			
			
			if (data.envioAContactos=="S"){
				$("#y42bSendMailEnvioContactos").attr('checked', true);
				
			}else{
				$("#y42bSendMailEnvioContactos").attr('checked', false);
			}
			
			
			if(data.mailingTemplate!=null){
				$("#sendMailText").val(data.mailingTemplate);
				$("#sendMailTextConsulta").val(data.mailingTemplate);
			}
			if(data.destinatarioInforme!=null){
				$("#senMailDestinatarioInforme").val(data.destinatarioInforme);
			}
			if(data.direccionOrigen!=null){
				$("#sendMailDireccionOrigen").val(data.direccionOrigen);
			}
			
			if(data.tipoOperacion!=null){
				if (data.tipoOperacion=="M"){
					$("#sendMailStaticRadio").attr('checked', true);
					
				}else if (data.tipoOperacion=="D"){
					$("#sendMailDynamicRadio").attr('checked', true);
				}
			}
			
			
			cargarMailDestina(data.envioId);
			if(data.tipo=="E") {
				if(data.xmlimportado=="N") { //tipo=E e importado=N
					loadStaticOptionComboEntidad(); 
				} else { //tipo=E e importado=S											
					var list = new Array();				
					list[0]= {i18nCaption: "name", value:"%NAME%"};
					list[1]= {i18nCaption: "location", value:"%LOCATION%"};
					list[2]= {i18nCaption: "telephone", value:"%TELEPHONE%"};
					list[3]= {i18nCaption: "mail", value:"%MAIL%"};
					list[4]= {i18nCaption: "fax", value:"%FAX%"};
					list[5]= {i18nCaption: "url", value:"%URL%"};
					list[6]= {i18nCaption: "user", value:"%USER%"};
					list[7]= {i18nCaption: "password", value:"%PASSWORD%"};
					list[8]= {i18nCaption: "codorg", value:"%CODORG%"};	
					if(null!=data.xmlnombrecampo1){			
						list[9] = new Combo(data.xmlnombrecampo1, "%"+data.xmlnombrecampo1+"%");	
					}
					if(null!=data.xmlnombrecampo2){
						list[10] = new Combo(data.xmlnombrecampo2, "%"+data.xmlnombrecampo2+"%");	
					}
					if(null!=data.xmlnombrecampo3){
						list[11] = new Combo(data.xmlnombrecampo3, "%"+data.xmlnombrecampo3+"%");	
					}
					if(null!=data.xmlnombrecampo4){
						list[12] = new Combo(data.xmlnombrecampo4, "%"+data.xmlnombrecampo4+"%");	
					}
					if(null!=data.xmlnombrecampo5){
						list[13] = new Combo(data.xmlnombrecampo5, "%"+data.xmlnombrecampo5+"%");	
					}
					if(null!=data.xmlnombrecampo6){
						list[14] = new Combo(data.xmlnombrecampo6, "%"+data.xmlnombrecampo6+"%");	
					}
					if(null!=data.xmlnombrecampo7){
						list[15] = new Combo(data.xmlnombrecampo7, "%"+data.xmlnombrecampo7+"%");	
					}
					if(null!=data.xmlnombrecampo8){
						list[16] = new Combo(data.xmlnombrecampo8, "%"+data.xmlnombrecampo8+"%");	
					}
					if(null!=data.xmlnombrecampo9){
						list[17] = new Combo(data.xmlnombrecampo9, "%"+data.xmlnombrecampo9+"%");	
					}
					if(null!=data.xmlnombrecampo10){			
						list[18] = new Combo(data.xmlnombrecampo10, "%"+data.xmlnombrecampo10+"%");			
					}
				}
			} else { //tipo es C				 
				if (data.xmlimportado=="N") { //tipo=c e importado=N	
					loadStaticOptionComboContacto();
				} else if(data.xmlimportado=="S") { //tipo= c e importado=S
					var list = new Array();				
					list[0]= {i18nCaption: "name", value:"%NAME%"};
					list[1]= {i18nCaption: "location", value:"%LOCATION%"};
					list[2]= {i18nCaption: "telephone", value:"%TELEPHONE%"};
					list[3]= {i18nCaption: "mail", value:"%MAIL%"};
					list[4]= {i18nCaption: "cargo", value:"%CARGO%"};
					list[5]= {i18nCaption: "fax", value:"%FAX%"};
					list[6]= {i18nCaption: "url", value:"%URL%"};
					if(null!=data.xmlnombrecampo1){			
						list[7] = new Combo(data.xmlnombrecampo1, "%"+data.xmlnombrecampo1+"%");	
					}
					if(null!=data.xmlnombrecampo2){
						list[8] = new Combo(data.xmlnombrecampo2, "%"+data.xmlnombrecampo2+"%");	
					}
					if(null!=data.xmlnombrecampo3){
						list[9] = new Combo(data.xmlnombrecampo3, "%"+data.xmlnombrecampo3+"%");	
					}
					if(null!=data.xmlnombrecampo4){
						list[10] = new Combo(data.xmlnombrecampo4, "%"+data.xmlnombrecampo4+"%");	
					}
					if(null!=data.xmlnombrecampo5){
						list[11] = new Combo(data.xmlnombrecampo5, "%"+data.xmlnombrecampo5+"%");	
					}
					if(null!=data.xmlnombrecampo6){
						list[12] = new Combo(data.xmlnombrecampo6, "%"+data.xmlnombrecampo6+"%");	
					}
					if(null!=data.xmlnombrecampo7){
						list[13] = new Combo(data.xmlnombrecampo7, "%"+data.xmlnombrecampo7+"%");	
					}
					if(null!=data.xmlnombrecampo8){
						list[14] = new Combo(data.xmlnombrecampo8, "%"+data.xmlnombrecampo8+"%");	
					}
					if(null!=data.xmlnombrecampo9){
						list[15] = new Combo(data.xmlnombrecampo9, "%"+data.xmlnombrecampo9+"%");	
					}
					if(null!=data.xmlnombrecampo10){			
						list[16] = new Combo(data.xmlnombrecampo10, "%"+data.xmlnombrecampo10+"%");			
					}						
				}
			}
			//Transformo en JSON la lista
			$.toJSON(list);				
			//Cargo en un combo la lista transformada en un JSON
			$("#sendMailDynamicOptionCombo").rup_combo({
				source : list,
				width:"250",
				selected: "%NAME%"
			});
			//FIXME Migracion UDA V.2.4.4 (201504) - Se comenta leerForm ¿para que sirve?
			//leerForm();
			
		}										
	});
}

function leerForm(){
	$(document).ready(function(){
		$("<ul :contains('%_i18n')").replaceWith("");
	});
	$(document).ready(function(){
		$("<a :contains('%_i18n')").replaceWith("");
	});
	$(document).ready(function(){
		$("<div :contains('%_i18n')").replaceWith("");
	});
	$(document).ready(function(){
		$("<li :contains('%_i18n')").replaceWith("");
	});
	$(document).ready(function(){
		$("<span :contains('%_i18n')").replaceWith("");
	});
}

function cargarMailDestina(envioId){
	$.ajax({
		type : 'GET',
		url : "/y42bVistaWar/item?envioEnvioId="+envioId+"&seleccionado=S",
		dataType : "json",
		contentType : 'application/json',
		error : function(jqXHR, textStatus, errorThrown) {
			$("#search_mail").rup_feedback("option", "delay", null);
			$("#search_mail").rup_feedback("set", textStatus + ": error", "error");
		},
		success : function(dataT, textStatus, jqXHR) {
			var total = "";
			var totCorreo= true;
			var contador=0;
			for ( var int = 0; int < dataT.length; int++) {
				var email = dataT[int].email;
				
				if(null==email){
					total= total;
					totCorreo= false;
				}else{
				
					if ( !( (dataT[int].itemRef.substring(0, 1)=="C") 
							&&
							($("#sendMailDivCheckEnvioContactos").attr('checked')=='checked')
						  )
						){
							total= total+email+";";
							contador++;
					}
				}
			}
			$("#senMailTo").val(total);
			$("#senMailContador").val(contador);
			//$("#senMailNumTotal").val(dataT.length);
			$("#senMailNumTotal").val(total.split(";").length - 1) ;
			if (!(y42bVarDeEnvio)){
				addUrlValue();
			}
		}
	});
}

function loadStaticOptionComboEntidad(){
	$("#sendMailDynamicOptionCombo").rup_combo({
		source : [
			{
				i18nCaption: "name",
				value:"%NAME%"
			},
			{
				i18nCaption: "location",
				value:"%LOCATION%"
			},
			{
				i18nCaption: "telephone",
				value:"%TELEPHONE%"
			},
			{
				i18nCaption: "mail",
				value:"%MAIL%"
			},
			{
				i18nCaption: "fax",
				value:"%FAX%"
			},
			{
				i18nCaption: "url",
				value:"%URL%"
			},
			{
				i18nCaption: "user",
				value:"%USER%"	
			},
			{
				i18nCaption: "password",
				value:"%PASSWORD%"
			},
			{
				i18nCaption: "codorg",
				value:"%CODORG%"
			}
		]
	});
}

function loadStaticOptionComboContacto(){
	$("#sendMailDynamicOptionCombo").rup_combo({
		source : [
			{
				i18nCaption: "name",
				value:"%NAME%"
			},
			{
				i18nCaption: "location",
				value:"%LOCATION%"
			},
			{
				i18nCaption: "telephone",
				value:"%TELEPHONE%"
			},
			{
				i18nCaption: "mail",
				value:"%MAIL%"
			},
			{
				i18nCaption: "cargo",
				value:"%CARGO%"
			},
			{
				i18nCaption: "fax",
				value:"%FAX%"
			},
			{
				i18nCaption: "url",
				value:"%URL%"
			}	
		]
	});	
}	

function closeSendMailDialog(){
	if(y42bVarDeEnvio){
		$("#envioSendEmailDialog").dialog("close");
	}else{
		$("#searchSendEmailDialog").dialog("close");	
	}
}

function addComboValue(){
	$("#sendMailText").val($("#sendMailText").val()+$("#sendMailDynamicOptionCombo").val());
}
function addUrlValue(){
	$("#sendMailText").val("");
	y42bSendMailTextLink();
//	$("#sendMailText").val($("#sendMailText").val()+$.rup.i18n.app.url_textEditor.urlConfigEU);
//	$("#sendMailText").val($("#sendMailText").val()+ "&nbsp;<a href=\"" + $("#idUrlConf").val() + "\">" + $.rup.i18n.app.url_textEditor.enlaceEU +"</a>");
//	$("#sendMailText").val($("#sendMailText").val()+ $.rup.i18n.app.url_textEditor.urlConfig2EU);
//	$("#sendMailText").val($("#sendMailText").val()+"<BR><BR>");
//	$("#sendMailText").val($("#sendMailText").val()+$.rup.i18n.app.url_textEditor.urlConfigES);
//	$("#sendMailText").val($("#sendMailText").val()+$.rup.i18n.app.url_textEditor.nbsp);
//	$("#sendMailText").val($("#sendMailText").val()+ "&nbsp;<a href=\"" + $("#idUrlConf").val() + "\">" + $.rup.i18n.app.url_textEditor.enlaceES +"</a>");
//	$("#sendMailText").val($("#sendMailText").val()+$.rup.i18n.app.url_textEditor.urlConfig2ES);
//	$("#sendMailText").val($("#sendMailText").val()+"<BR><BR>");
}

function y42bSendMailTextLink(){
	$("#sendMailTextLink").val("");
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+$.rup.i18n.app.url_textEditor.urlConfigEU);
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+ "&nbsp;<a href=\"" + $("#idUrlConf").val() + "\">" + $.rup.i18n.app.url_textEditor.enlaceEU +"</a>");
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+ $.rup.i18n.app.url_textEditor.urlConfig2EU);
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+"<BR><BR>");
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+$.rup.i18n.app.url_textEditor.urlConfigES);
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+$.rup.i18n.app.url_textEditor.nbsp);
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+ "&nbsp;<a href=\"" + $("#idUrlConf").val() + "\">" + $.rup.i18n.app.url_textEditor.enlaceES +"</a>");
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+$.rup.i18n.app.url_textEditor.urlConfig2ES);
	$("#sendMailTextLink").val($("#sendMailTextLink").val()+"<BR><BR>");
}


function sendMail() {
	currentEnvio.destinatarioInforme=$("#senMailDestinatarioInforme").val();
	currentEnvio.mailingTemplate=$("#sendMailText").val();
	currentEnvio.mailingAsunto=$("#senMailSubject").val();
	currentEnvio.fechaOperacion=getDate();
	currentEnvio.tipoOperacion=$("[name=tipoOperacion]:checked").val();	
	currentEnvio.envioId=y42bVarEnvioId;
	currentEnvio.direccionOrigen = $("#sendMailDireccionOrigen").val(); 
	currentEnvio.enlace = $("#sendMailTextLink").val();
	
	if ($('#y42bSendMailKontsumonet').attr("checked")=="checked"){
		currentEnvio.envioKontsumonet = "S";
	}else{
		currentEnvio.envioKontsumonet = "N";
	}
	
	if ($('#y42bSendMailAcuse').attr("checked")=="checked"){
		currentEnvio.acuse = "S";
	}else{
		currentEnvio.acuse = "N";
	}
	
	if ($('#y42bSendMailEnvioContactos').attr("checked")=="checked"){
		currentEnvio.envioAContactos = "S";
	}else{
		currentEnvio.envioAContactos = "N";
	}

	
	
	waitDialog();
	$.ajax({
		type : 'PUT',
		url : "/y42bVistaWar/envio",
		dataType : "json",
		contentType : 'application/json',
		data : $.toJSON(currentEnvio),
		error : function(jqXHR, textStatus, errorThrown) {
			switch(jqXHR.status){
			case 200:
				$("#search_mail").rup_feedback("option", "delay", null);
				$("#search_mail").rup_feedback("set", jqXHR.responseText, "error");
				waitDialogStop();
				break;
			default:
				$("#entidades_avisos").rup_feedback("option", "delay",null);
				$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
				waitDialogStop();
				break;
			}
		},
		success : function(data, textStatus, jqXHR) {
			waitDialogStop();
			// Muestra un success en pantalla
		   $.rup_messages("msgOK",{
			   title:$.rup.i18n.app.msg.confirmacion,
			   message: $.rup.i18n.app.msg.confiramacionenvio,
			   beforeClose: function () {
				   closeSendMailDialog();
				}
		   });
		}
	});
}

function adjuntoEnvio (adjuntoId, envio,nombre,adjunto) {
	this.adjuntoId=adjuntoId;
	this.envio=envio;
	this.nombre=nombre;
	this.adjunto=adjunto;
}

var currentAdjunto=null;

function eliminarTodos(){	
	var envioId = y42bVarEnvioId;//ñ $("#searchEnvioId").val();	
	$.ajax({
		type : 'DELETE',
		url : "/y42bVistaWar/adjunto/adjuntoId/"+envioId,
		dataType : "json",
		contentType : 'application/json',
		error : function(jqXHR, textStatus, errorThrown) {
			switch(jqXHR.status){
			
			case 200:
				$("#search_mail").rup_feedback("option", "delay", null);
				$("#search_mail").rup_feedback("set", jqXHR.responseText, "error");
				break;
			default:
				$("#entidades_avisos").rup_feedback("option", "delay",null);
				$("#entidades_avisos").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
				break;
			}
		},
		success : function(data, textStatus, jqXHR) {
		}
	});
}

function eliminarUno(){	
}

function getDate() {
	var mydate=new Date();
	var year=mydate.getYear();
	if (year < 1000){
		year+=1900;
	}
	var day=mydate.getDay();
	var month=mydate.getMonth();
	var daym=mydate.getDate();
	if (daym<10){
		daym="0"+daym;	
	}
	var dayarray=new Array("Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday");
	var montharray=new Array("01","02","03","04","05","06","07","08","09","10","11","12");	
	var fechaActual="";
	if ("es"==$.rup_utils.get("language")){
		fechaActual=""+daym+"/"+montharray[month]+"/"+year+"";
	}else if("eu"==$.rup_utils.get("language")){
		fechaActual=""+year+"/"+montharray[month]+"/"+daym+"";
	}else if("en"==$.rup_utils.get("language")){
		fechaActual=""+montharray[month]+"/"+daym+"/"+year+"";
	}
	return fechaActual;
}

$("#sendMailModifyButton").click(function(){
	//hacerlo seleccionable
	$("#senMailSubject").attr("readonly", false);
	$("#senMailDestinatarioInforme").attr("readonly", false);
	//habilitar radios
	$("#y42bSendMailRadiosDiv").show(); //ññ
	if($("#sendMailDynamicRadio").attr("checked") == "checked"){
		$("#sendMailDynamicOptions").show();
	}
	
	
	//mostrar ficheros
	$("#fileupload_only").show();
	//mostrar boton envio
	$("#sendMailSendButton").show();
	//coultar nuevo boton 
	$("#sendMailModifyButton").hide();
	$("#divTextAreaTiny").show();
	$("#divTextAreaTinyConsulta").hide();
	y42bMail_duplicarEnvioEItems();
	$('#tablaAdjuntosDiv').hide();
	$('#tablaAdjuntosBorrableDiv').show();
});


function y42bMail_duplicarEnvioEItems(){
	var envioId = y42bVarEnvioId;	
	$.ajax({
		type : 'GET',
		url : "/y42bVistaWar/envio/duplicaEnvio/"+envioId,
		dataType : "json",
		contentType : 'application/json',
		error : function(jqXHR, textStatus, errorThrown) {
			switch(jqXHR.status){
			case 200:
				$("#search_mail").rup_feedback("option", "delay", null);
				$("#search_mail").rup_feedback("set", jqXHR.responseText, "error");
				break;
			default:
				$("#search_mail").rup_feedback("option", "delay",null);
				$("#search_mail").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
				break;
			}
		},
		success : function(data, textStatus, jqXHR) {
			y42bVarEnvioId = data.envioId;
			$("#senMailEnvioId").val(y42bVarEnvioId);
		}
	});
}

//function y42bValidaDestinatarioInforme(){
//	var emailCorrecto = y42bValidarEmail($("#senMailDestinatarioInforme").val()); 
//	 if (emailCorrecto){
//		 return true;
//	 }else{
//	 	$("#search_mail").rup_feedback("option", "delay",null);
//		$("#search_mail").rup_feedback("set",$.rup.i18n.app.msg.emailDestinatarioInformeInvalido, "warning");
//		return false;
//	 }
//}
//
//
//function y42bValidaDireccionOrigen(){
//	var emailCorrecto = y42bValidarEmail($("#sendMailDireccionOrigen").val()); 
//	 if (emailCorrecto){
//		 return true;
//	 }else{
//	 	$("#search_mail").rup_feedback("option", "delay",null);
//		$("#search_mail").rup_feedback("set",$.rup.i18n.app.msg.emailDireccionOrigen, "warning");
//		return false;
//	 }
//}



function y42bSendMail_ValidarCamposEmail(){
	var txtFeedback = "";
	var validoCampo1 = false;
	var validoCampo2 = false;
	
	var emailDestinatarioInforme = y42bValidarEmail($("#senMailDestinatarioInforme").val());
	var emailDireccionOrigen = y42bValidarEmail($("#sendMailDireccionOrigen").val());
	
	if (!emailDestinatarioInforme){
		txtFeedback += "<li>"+ $.rup.i18n.app.msg.emailDestinatarioInformeInvalido +"</li>\n";
		validoCampo1 = false;
	}else{
		validoCampo1 = true;
	}
	
	if (!emailDireccionOrigen){
		txtFeedback += "<li>"+ $.rup.i18n.app.msg.emailDireccionOrigen +"</li>\n";
		validoCampo2 = false;
	}else{
		validoCampo2 = true;
	}
	
	if (validoCampo1 && validoCampo2){
		return true;
	}else{
		$("#search_mail").rup_feedback("option", "delay",null);
		$("#search_mail").rup_feedback("set","<ul>" + txtFeedback + "</ul>", "error");
		return false;
	}
	
}




function y42bPintarTablaAdjuntos(envioId){
	$("#y42bSendMailTablaAdjuntos").rup_grid({
		url:"/y42bVistaWar/adjunto?envioId="+envioId,
		loadOnStartUp: true,
		pagerName:"y42bSendMailTablaAdjuntosPager",
		rowNum: "10",
		sortorder: "asc",
		sortname: "nombre",
		fluidBaseLayer:"tablaAdjuntosDiv",
		width: 820,
		colNames:[
     		"",
     		$.rup.i18n.app.y42bSendMailTablaAdjuntos.nombre
		],
		colModel: [	    
		    { 	name: "adjuntoId", 
		    	index: "adjuntoId",
		    	hidden: true
		    },	    
		    { 	name: "nombre" ,
		    	index: "nombre",
		    	sortable: false,
		    	align : "left",
		    	formatter: y42bSendMailNombreAdjuntoFormateadorLink
		    }
		]
	});	
}

function y42bSendMailNombreAdjuntoFormateadorLink(cellvalue, options, rowObject) {
	return "<a href=/y42bVistaWar/adjunto/"+ rowObject.nombre+ "/" + rowObject.adjuntoId +"/"+ y42bVarEnvioId +"/"+"?R01HNoPortal=true>" + cellvalue + "</a>";
}

function y42bPintarTablaAdjuntosBorrable(envioId){
	$("#y42bSendMailTablaAdjuntosBorrable").rup_grid({
		url:"/y42bVistaWar/adjunto?envioId="+envioId,
		loadOnStartUp: true,
		pagerName:"y42bSendMailTablaAdjuntosBorrablePager",
		rowNum: "10",
		sortorder: "asc",
		sortname: "nombre",
		fluidBaseLayer:"tablaAdjuntosBorrableDiv",
		width: 820,
		colNames:[
     		"",
     		$.rup.i18n.app.y42bSendMailTablaAdjuntos.nombre,
     		""
		],
		colModel: [	    
		    { 	name: "adjuntoId", 
		    	index: "adjuntoId",
		    	hidden: true
		    },	    
		    { 	name: "nombre" ,
		    	index: "nombre",
		    	sortable: false,
		    	align : "left",
		    	formatter: y42bSendMailNombreAdjuntoFormateadorLink
		    },
		    { 	name: "borrar", 
		    	index: "borrar",
		    	align: "center",
		    	sortable:false,
		    	formatter: formateadorPapelera
		    }
		]
	});
}

function formateadorPapelera(cellvalue, options, rowObject) {
	var codocumento = rowObject.codocumento;
    return '<img src="'+$.rup.APP_STATICS+'/images/y42b-basura.png" id="y42bSendMailBorrarDoc' + rowObject.adjuntoId + '" onclick="y42bSendMailEliminarFilaTablaAdjuntosBorrable(\''+rowObject.adjuntoId+'\')" style="cursor: pointer;" class="y42b-cuboBasura"  />';
}

function y42bSendMailEliminarFilaTablaAdjuntosBorrable(adjuntoId){
	var jqxhr = $.ajax({
		type : 'DELETE',
		url : "/y42bVistaWar/adjunto/removeAdjunto/" + adjuntoId + "/" + y42bVarEnvioId,
		error: function (jqXHR, textStatus, errorThrown){
			switch(jqXHR.status){		
				case 406:
					$("#y42bSendMailTablaAdjuntosBorrableFeedback").rup_feedback("option", "delay",null);
					$("#y42bSendMailTablaAdjuntosBorrableFeedback").rup_feedback("set",jqXHR.responseText, "error");
					break;
				default:
					$("#y42bSendMailTablaAdjuntosBorrableFeedback").rup_feedback("option", "delay",null);
					$("#y42bSendMailTablaAdjuntosBorrableFeedback").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
					break;
			}
		},
		success : function(data) {
					$("#y42bSendMailTablaAdjuntosBorrableFeedback").rup_feedback("option", "delay",800);
					$("#y42bSendMailTablaAdjuntosBorrableFeedback").rup_feedback("set", "ok", "ok");
					y42bSendMail_ReloadTablaAdjuntosBorrable();			
		}
	});
}

function y42bSendMail_ReloadTablaAdjuntosBorrable(){
	$('#y42bSendMailTablaAdjuntosBorrable').jqGrid('GridUnload');
	y42bPintarTablaAdjuntosBorrable(y42bVarEnvioId);
}

function y42bSendMail_comprobarEnvioKontsumonet(){
	var envioId = y42bVarEnvioId;	
	$.ajax({
		type : 'GET',
		url : "/y42bVistaWar/envio/compruebaEnvioKontsumonet/"+envioId,
		dataType : "json",
		contentType : 'application/json',
		error : function(jqXHR, textStatus, errorThrown) {
			switch(jqXHR.status){
			case 200:
				$("#search_mail").rup_feedback("option", "delay", null);
				$("#search_mail").rup_feedback("set", jqXHR.responseText, "error");
				break;
			default:
				$("#search_mail").rup_feedback("option", "delay",null);
				$("#search_mail").rup_feedback("set",$.rup.i18n.app.msg.errorModifDatos, "error");
				break;
			}
		},
		success : function(data, textStatus, jqXHR) {
			
			if (data!=null){
				var numero = parseInt(data);
				if (numero!=0){
					$("#sendMailDivCheck").show();
					$("#y42bSendMailKontsumonet").attr('checked',true);
				}else{
					$("#sendMailDivCheck").hide();
					$("#y42bSendMailKontsumonet").attr('checked',false);
				}
			}
		}
	});
	
}
